> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gp.scale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Publish Evaluation Dataset Version



## OpenAPI

````yaml https://app.stainlessapi.com/api/spec/documented/sgp/openapi.yml post /v4/evaluation-datasets/{evaluation_dataset_id}/evaluation-dataset-versions/{evaluation_dataset_version_id}/publish
openapi: 3.1.0
info:
  title: EGP API V4
  description: >-
    This is the parent API for all EGP APIs. If you are looking for the EGP API,
    please go to https://api.egp.scale.com/docs.
  contact:
    name: Scale Generative AI Platform
    url: https://scale.com/genai-platform
  version: 0.1.0
servers:
  - url: https://api.egp.scale.com
security: []
tags:
  - name: Models
    description: Model API.
paths:
  /v4/evaluation-datasets/{evaluation_dataset_id}/evaluation-dataset-versions/{evaluation_dataset_version_id}/publish:
    post:
      tags:
        - Evaluation Datasets
      summary: Publish Evaluation Dataset Version
      operationId: >-
        POST-V4-/evaluation-dataset-versions/{evaluation_dataset_version_id}/publish
      parameters:
        - name: evaluation_dataset_id
          in: path
          required: true
          schema:
            type: string
            title: Evaluation Dataset Id
        - name: evaluation_dataset_version_id
          in: path
          required: true
          schema:
            type: string
            title: Evaluation Dataset Version Id
        - name: force
          in: query
          required: false
          schema:
            type: boolean
            description: Force approve an evaluation dataset
            default: false
            title: Force
          description: Force approve an evaluation dataset
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublishEvaluationDatasetDraftResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      x-codeSamples:
        - lang: Python
          source: >-
            import os

            from scale_gp import SGPClient


            client = SGPClient(
                api_key=os.environ.get("SGP_API_KEY"),  # This is the default and can be omitted
            )

            publish_evaluation_dataset_draft_response =
            client.evaluation_datasets.evaluation_dataset_versions.publish(
                evaluation_dataset_version_id="evaluation_dataset_version_id",
                evaluation_dataset_id="evaluation_dataset_id",
            )

            print(publish_evaluation_dataset_draft_response.autogenerated_draft_test_cases)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/stainless-sdks/sgp-go\"\n\t\"github.com/stainless-sdks/sgp-go/option\"\n)\n\nfunc main() {\n\tclient := sgp.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tpublishEvaluationDatasetDraftResponse, err := client.EvaluationDatasets.EvaluationDatasetVersions.Publish(\n\t\tcontext.TODO(),\n\t\t\"evaluation_dataset_id\",\n\t\t\"evaluation_dataset_version_id\",\n\t\tsgp.EvaluationDatasetEvaluationDatasetVersionPublishParams{},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", publishEvaluationDatasetDraftResponse.AutogeneratedDraftTestCases)\n}\n"
components:
  schemas:
    PublishEvaluationDatasetDraftResponse:
      properties:
        success:
          type: boolean
          title: Success
          description: Whether or not the evaluation dataset was successfully published
        autogenerated_draft_test_cases:
          items:
            $ref: '#/components/schemas/ApproveAutoGeneratedDraftTestCaseResponse'
          type: array
          title: Autogenerated Draft Test Cases
          description: List of responses for each of the input draft test cases.
      type: object
      required:
        - success
        - autogenerated_draft_test_cases
      title: PublishEvaluationDatasetDraftResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ApproveAutoGeneratedDraftTestCaseResponse:
      properties:
        autogenerated_draft_test_case_id:
          type: string
          title: Autogenerated Draft Test Case Id
          description: Draft test_case_id that has chunk_ids missing
        success:
          type: boolean
          title: Success
          description: Whether or not the test case was successfully approved
        failed_chunks:
          items:
            $ref: '#/components/schemas/AutoGeneratedDraftTestCaseMissingChunkInfo'
          type: array
          title: Failed Chunks
      type: object
      required:
        - autogenerated_draft_test_case_id
        - success
        - failed_chunks
      title: ApproveAutoGeneratedDraftTestCaseResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
          additionalProperties: true
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    AutoGeneratedDraftTestCaseMissingChunkInfo:
      properties:
        chunk_text:
          type: string
          title: Chunk Text
          description: Text of chunk_id that is missing
        artifact_id:
          type: string
          title: Artifact Id
          description: Artifact ID of the missing chunk
        artifact_name:
          type: string
          title: Artifact Name
          description: Artifact Name of the missing chunk
        artifact_content_modification_identifier:
          type: string
          title: Artifact Content Modification Identifier
          description: Artifact Content Modification Identifier of the missing chunk
      type: object
      required:
        - chunk_text
        - artifact_id
        - artifact_name
        - artifact_content_modification_identifier
      title: AutoGeneratedDraftTestCaseMissingChunkInfo

````